<!DOCTYPE html>
<html lang="en" ng-app="app">
<head>
    <meta charset="UTF-8">
    <title>Générateur de Signature - RIC INSA Lyon </title>

    <!-- Latest compiled and minified CSS -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css"
          integrity="sha384-BVYiiSIFeK1dGmJRAkycuHAHRg32OmUcww7on3RYdg4Va+PmSTsz/K68vbdEjh4u" crossorigin="anonymous">

    <!-- Optional theme -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap-theme.min.css"
          integrity="sha384-rHyoN1iRsVXV4nD0JutlnGaslCJuC7uwjduW9SVrLvRYooPp2bWYgmgJQIXwl/Sp" crossorigin="anonymous">

    <style>
        #header {
            margin-top: 3em;
        }
        #sign {
            margin: 2em auto;
            width: 500px;
            border: solid 1px #DDD;
        }
    </style>


    <!-- Latest compiled and minified JavaScript -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.1.1/jquery.min.js"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/angularjs/1.5.6/angular.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/angular-local-storage/0.5.0/angular-local-storage.js"></script>
    <script src="app.js"></script>

</head>
<body>
<div class="container" ng-controller="Main">
<div class="row">
    <div class="jumbotron text-center col-xs-12" id="header">
        <h1>Générateur de Signature</h1>
        <p class="lead">Utilise cette page Web pour générer ta signature RIC</p>
    </div>

    <div class="row marketing col-md-6" id="user">
        <form ng-submit="generate()">
            <div class="form-group" ng-repeat="field in fields">
                <label for="{{field.name}}">{{field.label}}</label>
                <input type="text" class="form-control" id="{{field.name}}" ng-model="data[field.name]" placeholder="{{field.example}}">
            </div>
        </form>
    </div>

    <div  class="col-md-6">
		<h4>Méthode 1 : Signature à copier/coller (GMail, clients mail n'acceptant pas le code html)</h4>
<!--		On indente pas correctement le bloc signature sinon lorsqu'il est affiché pour le copier coller de l'utilisateur, il y a trop d'identation-->
        <div id="sign">
<link href="https://fonts.googleapis.com/css2?family=Jost&family=Raleway&display=swap" rel="stylesheet">
<table border="0" cellpadding="5">
	<tr>
		<td><img alt="logo RIC" src="https://portail.asso-insa-lyon.fr/file/231aff3b-68e9-441f-bd84-8ecce0b1b2a8/" height="120" /></td>
		<td>
			<div style="font-family: 'Raleway', sans-serif; color: gray; font-size: 20px; margin-left: 10px; margin-bottom: 3px;"><span style="text-transform: capitalize">{{data.first_name}}</span> <span style="text-transform: uppercase">{{data.last_name}}</span></div>
			<div style="font-family: 'Jost', sans-serif; color: white; font-size: 14px; margin-bottom: 6px; margin-left: 10px"><span style="background-color: gray; border-radius: 3px; padding-right: 5px; padding-left: 5px;">{{data.role_bde}}</span></div>
			<div style="font-family: 'Jost', sans-serif; color: black; font-size: 12px; margin-left: 10px; margin-bottom: 3px;">{{data.role}}</div>
			<div style="font-family: 'Jost', sans-serif; color: black; font-size: 12px; margin-left: 10px; margin-bottom: 7px;">{{data.phone}}</div>
			<table width="200" border="0" cellspacing="1" cellpadding="0" style="margin-left: 10px">
				<tr>
					<td width="45" align="left"><a href="https://www.facebook.com/RaquettesInsaClub/" target="_blank"> <img alt="logo FB" src="https://logos.bde-insa-lyon.fr/signature_email/FB.png" height="15" /></a></td>
				</tr>
			</table>
		</td>
	</tr>
</table>
        </div>
		<h4>Méthode 2 : Signature code HTML (Zimbra, ...)</h4>
        <pre>
            {{as_html()}}
        </pre>

    </div>
</div>

    <footer class="footer text-center">
        <p>&copy; 2020 RIC INSA Lyon</p>
    </footer>

</div> <!-- /container -->
</body>
</html>
